# -*- coding: utf8 -*-
from __future__ import unicode_literals

import datetime

parser_class = "ca560"


def test_order(self):
    message = self.order()
    expected = "S2210101U1507131419             123456C       NYME  A        B      "
    assert message == expected


def test_resultat(self):
    date = datetime.datetime(2015, 5, 20, 12, 29)
    worklist = self.decode(
        """D1210101U2005151229186802       120108B    SARTORI051  406 056  428 041  525 272    3 """
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "rack": "1868-02",
                "results": [
                    {"code": "051", "date": date, "flags": [], "value": "40.6"},
                    {"code": "056", "date": date, "flags": [], "value": "428"},
                    {"code": "041", "date": date, "flags": [], "value": "52.5"},
                    {"code": "272", "date": date, "flags": [], "value": "0.03"},
                ],
                "sample_id": "120108",
                "type": "patient",
            }
        ],
    }
    assert worklist == expected


def test_qc(self):
    date = datetime.datetime(2015, 5, 18, 13, 55)
    worklist = self.decode(
        """D1210101C1805151355000401         QC01M           041  103 042  832 044  108 051  237 061   90 062   25 """
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "control_lot": "QC01",
                "results": [
                    {"code": "041", "date": date, "flags": [], "value": "10.3"},
                    {"code": "042", "date": date, "flags": [], "value": "83.2"},
                    {"code": "044", "date": date, "flags": [], "value": "1.08"},
                    {"code": "051", "date": date, "flags": [], "value": "23.7"},
                    {"code": "061", "date": date, "flags": [], "value": "9.0"},
                    {"code": "062", "date": date, "flags": [], "value": "2.5"},
                ],
                "sample_id": "QC01",
                "type": "control",
            }
        ],
    }
    assert worklist == expected
