# -*- coding: utf8 -*-
from __future__ import unicode_literals

parser_class = "cla1"


def test_order(self):
    message = self.order()
    expected = """
    123456;A;ANO;NYME;
    123456;B;ANO;NYME;
    """
    assert message == expected


def test_result(self):
    worklist = self.decode(
        """
    12122323;CLTCODE01;SMITH;PAUL;10;30;-;25;100;-;150;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;300;4;
    12122324;CLTCODE01;TEST;ANONYME;10;30;-;25;100;-;150;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;-;300;4;
    """
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "results": [
                    {"code": "CLTCODE01_1", "value": "10"},
                    {"code": "CLTCODE01_2", "value": "30"},
                    {"code": "CLTCODE01_3", "value": "-"},
                    {"code": "CLTCODE01_4", "value": "25"},
                    {"code": "CLTCODE01_5", "value": "100"},
                    {"code": "CLTCODE01_6", "value": "-"},
                    {"code": "CLTCODE01_7", "value": "150"},
                    {"code": "CLTCODE01_8", "value": "-"},
                    {"code": "CLTCODE01_9", "value": "-"},
                    {"code": "CLTCODE01_10", "value": "-"},
                    {"code": "CLTCODE01_11", "value": "-"},
                    {"code": "CLTCODE01_12", "value": "-"},
                    {"code": "CLTCODE01_13", "value": "-"},
                    {"code": "CLTCODE01_14", "value": "-"},
                    {"code": "CLTCODE01_15", "value": "-"},
                    {"code": "CLTCODE01_16", "value": "-"},
                    {"code": "CLTCODE01_17", "value": "-"},
                    {"code": "CLTCODE01_18", "value": "-"},
                    {"code": "CLTCODE01_19", "value": "-"},
                    {"code": "CLTCODE01_20", "value": "-"},
                    {"code": "CLTCODE01_21", "value": "-"},
                    {"code": "CLTCODE01_22", "value": "-"},
                    {"code": "CLTCODE01_23", "value": "-"},
                    {"code": "CLTCODE01_24", "value": "-"},
                    {"code": "CLTCODE01_25", "value": "-"},
                    {"code": "CLTCODE01_26", "value": "-"},
                    {"code": "CLTCODE01_27", "value": "-"},
                    {"code": "CLTCODE01_28", "value": "-"},
                    {"code": "CLTCODE01_29", "value": "-"},
                    {"code": "CLTCODE01_30", "value": "-"},
                    {"code": "CLTCODE01_31", "value": "-"},
                    {"code": "CLTCODE01_32", "value": "-"},
                    {"code": "CLTCODE01_33", "value": "-"},
                    {"code": "CLTCODE01_34", "value": "-"},
                    {"code": "CLTCODE01_35", "value": "-"},
                    {"code": "CLTCODE01_36", "value": "-"},
                    {"code": "CLTCODE01_37", "value": "300"},
                    {"code": "CLTCODE01_38", "value": "4"},
                ],
                "sample_id": "12122323",
                "type": "patient",
            },
            {
                "results": [
                    {"code": "CLTCODE01_1", "value": "10"},
                    {"code": "CLTCODE01_2", "value": "30"},
                    {"code": "CLTCODE01_3", "value": "-"},
                    {"code": "CLTCODE01_4", "value": "25"},
                    {"code": "CLTCODE01_5", "value": "100"},
                    {"code": "CLTCODE01_6", "value": "-"},
                    {"code": "CLTCODE01_7", "value": "150"},
                    {"code": "CLTCODE01_8", "value": "-"},
                    {"code": "CLTCODE01_9", "value": "-"},
                    {"code": "CLTCODE01_10", "value": "-"},
                    {"code": "CLTCODE01_11", "value": "-"},
                    {"code": "CLTCODE01_12", "value": "-"},
                    {"code": "CLTCODE01_13", "value": "-"},
                    {"code": "CLTCODE01_14", "value": "-"},
                    {"code": "CLTCODE01_15", "value": "-"},
                    {"code": "CLTCODE01_16", "value": "-"},
                    {"code": "CLTCODE01_17", "value": "-"},
                    {"code": "CLTCODE01_18", "value": "-"},
                    {"code": "CLTCODE01_19", "value": "-"},
                    {"code": "CLTCODE01_20", "value": "-"},
                    {"code": "CLTCODE01_21", "value": "-"},
                    {"code": "CLTCODE01_22", "value": "-"},
                    {"code": "CLTCODE01_23", "value": "-"},
                    {"code": "CLTCODE01_24", "value": "-"},
                    {"code": "CLTCODE01_25", "value": "-"},
                    {"code": "CLTCODE01_26", "value": "-"},
                    {"code": "CLTCODE01_27", "value": "-"},
                    {"code": "CLTCODE01_28", "value": "-"},
                    {"code": "CLTCODE01_29", "value": "-"},
                    {"code": "CLTCODE01_30", "value": "-"},
                    {"code": "CLTCODE01_31", "value": "-"},
                    {"code": "CLTCODE01_32", "value": "-"},
                    {"code": "CLTCODE01_33", "value": "-"},
                    {"code": "CLTCODE01_34", "value": "-"},
                    {"code": "CLTCODE01_35", "value": "-"},
                    {"code": "CLTCODE01_36", "value": "-"},
                    {"code": "CLTCODE01_37", "value": "300"},
                    {"code": "CLTCODE01_38", "value": "4"},
                ],
                "sample_id": "12122324",
                "type": "patient",
            },
        ],
    }
    assert worklist == expected
